<?php echo $this->getContent()?>
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.4.2/angular.min.js"> </script>
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<div class="row">

	<div class="col-md-12">


		<div class="widget wgreen">

			<div class="widget-head">
				<div class="pull-left">Add New</div>
				
				<div class="clearfix"></div>
			</div>

			<div class="widget-content">
				<div class="padd">

					<br />
					<!-- Form starts.  -->
					<form method="post" class="form-horizontal" role="form" ng-app="myApp" ng-controller="validateCtrl" name="myForm" novalidate>				

						<div class="form-group">
							<label class="col-lg-2 control-label">Company Name</label>
							<div class="col-lg-5">
								<input type="text" class="form-control" placeholder="Company Name" name="compname" ng-model="compname" required>
								<span style="color:red" ng-show="myForm.compname.$touched && myForm.compname.$invalid">
								<span ng-show="myForm.compname.$error.required">Company name is required</span>
								</span>
							</div>
						</div> 

						<div class="form-group">
							<label class="col-lg-2 control-label">Address</label>
							<div class="col-lg-5">
								<input type="text" class="form-control" placeholder="Address" name="address" ng-model="address" required>
								<span style="color:red" ng-show="myForm.address.$touched && myForm.address.$invalid">
								<span ng-show="myForm.address.$error.required">Address is required</span>
							</div>
						</div>

						<div class="form-group">
							<label class="col-lg-2 control-label">Contact No.</label>
							<div class="col-lg-5">
								<input type="text" class="form-control" placeholder="Contact No." name="contact" ng-model="contact" ng-pattern="re" required >
								<span style="color:red" ng-show="myForm.contact.$touched && myForm.contact.$invalid">
								<span ng-show="myForm.contact.$error.required">Contact is required</span>
								<span ng-show="myForm.contact.$error.pattern">
                           			Please input valid contact number Ex. 09xxxxxxxxx/+639xxxxxxxxx
                           		</span>
							</div>
						</div>     

						<div class="form-group">
							<div class="col-lg-offset-2 col-lg-6">
								<a href="" class="btn btn-sm btn-primary">Cancel</a>
								<button type="submit" class="btn btn-sm btn-primary" id="save" name="save" value="Save" ng-disabled="myForm.$invalid" ng-click="insertData()">Save</button>						
							</div>
						</div>
					</form>
					<script>
						var app = angular.module('myApp', []);
						app.controller('validateCtrl', function($scope,$http) {
							$scope.re = /^(09|\+639)\d{9}$/;
							$scope.insertData=function(){      
				            $http.post("addcompany", {
				                'compname':$scope.compname,
				                'address':$scope.address,
				                'contact':$scope.contact
				            });
				            $scope.compname = '';
				            $scope.address = '';
				            $scope.contact = '';
				            $scope.myForm.$setUntouched();
				            }
						});
					</script>
					<script>
							var button = document.getElementById('save')

							function success(del_reg) {
							  swal({
							   title: 'Success!',
							   text: 'Great, a new data was saved successfully!',
							   icon: 'success'
							})
							    .then(function(value) {
							      console.log('returned value:', value);
							    });
							}

							button.addEventListener('click', function() {
							  console.log('clicked on button')
							  success('SomeCustomRegName');
							});
					</script>
				</div>
			</div>
			<div class="widget-foot">
				<!-- Footer goes here -->
			</div>
		</div>  

	</div>

</div>